application/json

Body object Required

One of:

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • access_token string Required

      The access token.

    • token_type string Required

      The token type.

    • expires_in integer(int64) Required

      The lifetime of the access token in seconds.

    • refresh_token string Required

      The refresh token.

    • scope string Required

      Space-separated list of granted scopes.

    • connection_id string(uuid) Required

      ID of the connection this token is linked to.

POST /oauth2/token
curl \
 --request POST 'https://api.memo.bank/oauth2/token' \
 --header "Content-Type: application/json" \
 --data '{"grant_type":"authorization_code","code":"string","redirect_uri":"string","client_id":"string","client_secret":"string"}'
Request examples
{
  "grant_type": "authorization_code",
  "code": "string",
  "redirect_uri": "string",
  "client_id": "string",
  "client_secret": "string"
}
{
  "grant_type": "refresh_token",
  "refresh_token": "string",
  "client_id": "string",
  "client_secret": "string",
  "scope": "string"
}
Response examples (200)
{
  "access_token": "string",
  "token_type": "bearer",
  "expires_in": 3600,
  "refresh_token": "string",
  "scope": "string",
  "connection_id": "string"
}